HaruPage::moveToNextLine
HaruPage::setCharSpace
HaruPage
PHP Manual

# HaruPage::rectangle

(PECL haru >= 0.0.1)

HaruPage::rectangle — Append a rectangle to the current path

### Description

bool HaruPage::rectangle ( float `$x` , float `$y` , float `$width` , float `$height` )

Appends a rectangle to the current drawing path.

### Parameters

`x`

  The left border of the rectangle.

`y`

  The lower border of the rectangle.

`width`

  The width of the rectangle.

`height`

  The height of the rectangle.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.

HaruPage::moveToNextLine
HaruPage::setCharSpace
HaruPage
PHP Manual